<?php 

//datubāzes konfigurācija, saglabājot tos datus mainīgajos
$dbservername = "localhost";
$dbusername = "gamizoge_admins";
$dbpassword = "^uuem[j6kjJ#";
$dbname = "gamizoge_Forums";

// pieslēgties datubāzei
$db = new mysqli($dbservername, $dbusername, $dbpassword, $dbname);
//saglabā esošās sesijas lietotājvārdu mainīgajā
$username=$_SESSION['username'];

// atlasa kolumnu ADMINS no tabulas users kur lietotājvārds ir saglabātais esošais mainīgais
$sql = "SELECT admins FROM users WHERE username='$username'";
$result = $db->query($sql);
$row = $result->fetch_assoc();
// ja tabulas dati no admins NAV 'Y', tad sesiju pamet, noņem nost esošās sesijas lietotājvārdu un aiziet atpakaļ uz login.php lapu
if ($row["admins"] !== 'Y'){
	session_destroy();
	unset($_SESSION['username']);
	header("location: ../login.php");
}
   // ja nav lietotājvārds, tad parāda ziņu un aiziet uz lapu login.php
if (!isset($_SESSION['username'])) {
	$_SESSION['msg'] = "Jums no sākuma jāpieslēdzas.";
	header('location: ../login.php');
}
?>
<!DOCTYPE html>
<HTML>
	<meta charset="UTF-8">
	<title>Post Overview</title>
	<link rel="stylesheet" type="text/css" href="admin.css">
<h1>!! Lietotāju !! dzēšana</h1>
<!-- Forma, jāievada ID, lai dzēstu lietotāju -->
<form action="" method="post">
    <span>Izdzēst lietotāju pēc ID:</span>
    <input type="text" placeholder="Ievadiet ID" name="id_dzestraksts">
	<button type="submit" name="dzestidraksts">Dzēst lietotāju</button><br><br>
</form>

<?php
//datubāzes pieslēgšanās
include '../config.php';
//Kad tiek piespiesta poga, pārvērš ierakstīto inputu uz mainīgo
 if (isset($_POST['dzestidraksts'])) {
	 $id = ($_POST['id_dzestraksts']);
	 //pārbauda vai ir kautkas ievadīts input lodziņos
	 if(isset($_POST['id_dzestraksts']) && !empty($_POST['id_dzestraksts'])){
	 //ja ir ievadīts, tad tiek izdzēsts lietotājs, ar tādu ID, kādu ierakstījām input logā
	 $sql = "DELETE FROM users
WHERE ID = '".$id."'";
if ($conn->query($sql) === TRUE) {
	echo "<h3 style='color:green;'>Izdzēsts lietotājs ar id -".$id.".</h3><br>";
}
	 //ja nav nekas ievadīts, tad parāda kļūdu
	} else {
	echo "<h3 style='color:red;'>Lūdzu, ievadiet ID!</h3>";	
  }
}

?>
<?php
// izdrukā visus lietotājus, kas ir reģistrējušies.
$sql = "SELECT * FROM users";
$result = $conn->query($sql);
    while($row = $result->fetch_assoc()) {
		//Ar ciklu iziet cauri katrai atrastajai rindai un izdrukājam
		echo '<div id="teksts"><li>ID- | <p style="display:inline; color:#ad0202;">'.$row["id"].'</p>
		| Lietotājvārds-| 
		<p style="display:inline; color:#ad0202;">'.$row["username"].'</p>
		| E-pasts-| <p style="display:inline; color:#ad0202;">'.$row["email"].'</p>  
		| Verificēts?-| <p style="display:inline; color:#ad0202;">'.$row["verified"].'</p>  
		| Admins?-| <p style="display:inline; color:#ad0202;">'.$row["admins"].'</p>  
		</div>'?>
		<?php echo '<br></li>';?>
		<?php
		
	} 
?>
</HTML>
